Mailinglist Archive: yast-devel (163 mails)

< Previous Next >
Re: [yast-devel] WebYaST: package versioning?
  • From: Jiří Suchomel <jsuchome@xxxxxxx>
  • Date: Tue, 1 Sep 2009 14:36:51 +0200
  • Message-id: <200909011436.52204.jsuchome@xxxxxxx>
On Wednesday 26 of August 2009 13:43:01 Klaus Kaempf wrote:
* Jiří Suchomel <jsuchome@xxxxxxx> [Aug 20. 2009 16:03]:
Hi,
I've just realized that most of traditional yast2 packages present in
WebYaST repository have the versions of 2.18.*. But this is versioning
based on trunk, should we have there the versions of patches SLE11
packages (2.17.<sles-11-released>++), instead of the trunk ones?

yast2-* packages for SLE11 (SP1) should stay at 2.17 and get required
extensions backported. (One more reason to keep changes to existing
yast2 package at a minimum).

So, how the WebYaST repository should look like, concerning traditional
yast2-* packages? I assume we should have backported versions for SLE11 there
and Factory versions of these packages should stay only in Factory (or
YaST::Head or what is the name). Or may be we should have separate branches
of WebYaST repo, one for SLE11 and other for Factory?

Currently, there are
yast2-core-2.18.10
yast2-country-2.18.15
yast2-dbus-server-2.18.0
yast2-perl-bindings-2.18.0
yast2-users-2.17.28.1
yast2-2.17.70.2

packages in WebYaST.

Jiri


--
Jiri Suchomel

SUSE LINUX, s.r.o. e-mail: jsuchome@xxxxxxx
Lihovarská 1060/12 tel: +420 284 028 960
190 00 Praha 9, Czech Republic http://www.suse.cz
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages